# $Revision: 1.9.2.4 $, $Date: 2004/02/23 03:27:21 $
Summary:	Hardware detection library
Summary(pl):	Biblioteka wykrywajca sprzt
Name:		detect
Version:	0.9.72
Release:	2
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.linux-mandrake.com/pub/harddrake/SOURCES/%{name}-%{version}.tar.bz2
# Source0-md5:	0e001355ad217ce907c5ce95673ab4a4
Patch0:		%{name}-sound.patch.bz2
Patch1:		%{name}-po.patch.bz2
Patch2:		%{name}-ppc.patch.bz2
Patch3:		%{name}-ppc2.patch.bz2
Patch4:		%{name}-ia64-io-h.patch.bz2
Patch5:		%{name}-kver-ppc.patch.bz2
Patch6:		%{name}-0.9.72-alpha.patch.bz2
Patch7:		%{name}-0.9.72-cpu-detect-ppc.patch.bz2
Patch8:		%{name}-acam.patch
URL:		http://www.linux-mandrake.com/harddrake/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gettext-devel
%ifarch %{ix86}
BuildRequires:	isapnptools-devel
%endif
BuildRequires:	libtool
BuildRequires:	texinfo
%ifarch %{ix86}
Requires:	isapnptools >= 1.21
%endif
Requires:	%{name}-libs = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libdetect is a library for hardware detection. The API is easy to
learn. The following hardware can be detected: CPU, Memory, Disk &
partitions, Ethernet cards, Floppy drives, Modem, Mouse, SCSI, Sound
cards, Video cards, Scanners.

%description -l pl
libdetect to biblioteka do wykrywania sprztu. Jej API jest atwe do
nauczenia. Moe wykry nastpujcy sprzt: procesor, pami, dyski i
partycje, karty sieciowe, stacje dyskw, modemy, myszy, SCSI, karty
dwikowe, karty graficzne, skanery.

%package libs
Summary:	The detect library itself, necessary to run the detect utility
Summary(pl):	Waciwa biblioteka, niezbdna do dziaania narzdzia detect
Group:		Libraries
Obsoletes:	libdetect

%description libs
Libdetect is a library for hardware detection. The API is easy to
learn. The following hardware can be detected: CPU, Memory, Disk &
partitions, Ethernet cards, Floppy drives, Modem, Mouse, SCSI, Sound
cards, Video cards, Scanners. This package contains the detect library
itself, necessary to run the detect utility.

%description libs -l pl
libdetect to biblioteka do wykrywania sprztu. Jej API jest atwe do
nauczenia. Moe wykry nastpujcy sprzt: procesor, pami, dyski i
partycje, karty sieciowe, stacje dyskw, modemy, myszy, SCSI, karty
dwikowe, karty graficzne, skanery. Ten pakiet zawiera waciw
bibliotek, niezbdn do dziaania narzdzia wykrywajcego (polecenia
detect).

%package libs-devel
Summary:	Header files for developing apps which will use detect
Summary(pl):	Pliki nagwkowe do tworzenia programw uywajcych detect
Group:		Development/Libraries
Requires:	detect-libs = %{version}
Obsoletes:	detect-devel
Obsoletes:	libdetect-devel

%description libs-devel
Header files for developing apps which will use detect library.

%description libs-devel -l pl
Pliki nagwkowe do tworzenia programw uywajcych biblioteki detect.

%package libs-static
Summary:	Static detect library
Summary(pl):	Statyczna biblioteka detect
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}

%description libs-static
Static version of detect library.

%description libs-static -l pl
Statyczna wersja biblioteki detect.

%prep
%setup -q -n detect
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%ifarch ppc
%patch5 -p1
%patch7 -p1
%endif
%ifarch alpha
%patch6 -p1
%endif
%patch8 -p1
mv acconfig.h config.h.in

%build
rm -f missing
CFLAGS="%{rpmcflags} -I%{_includedir}/isapnp"
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
%configure
cat po/Makefile.in > po/Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang detect

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README docs/FAQ
%attr(755,root,root) %{_sbindir}/detect

%files libs -f detect.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/detect

%files libs-devel
%defattr(644,root,root,755)
%doc docs/{Programming,API,ISA-Structure,PCI-Structure}
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/detect.h

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libdetect.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: detect.spec,v $
Revision 1.9.2.4  2004/02/23 03:27:21  ankry
- added -acam patch

Revision 1.9.2.3  2004/02/22 17:58:11  ankry
- fixed Req, rel. 2

Revision 1.9.2.2  2003/09/08 22:13:15  ankry
- md5

Revision 1.9.2.1  2003/07/11 12:00:42  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.9  2003/01/13 09:09:59  kloczek
- use DESTDIR style install,
- few minor changes and cleanups.

Revision 1.8  2002/12/02 22:08:28  ankry
- pl Summary/description fixes
- adapterized

Revision 1.7  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/10/09 08:52:08  qboosh
- BR: libtool

Revision 1.4  2002/08/02 14:44:10  qboosh
- cleanups, pl translation

Revision 1.3  2002/07/22 11:26:40  malekith
- fixed source URL

Revision 1.2  2002/07/21 18:37:56  blues
- adapterized
